XZDEC(1)

NOME
xzdec, lzmadec - Pequenos descompactadores .xz e .lzma

SINOPSE
xzdec [opção...] [arquivo...]
lzmadec [opção...] [arquivo...]

DESCRIÇÃO
xzdec é uma ferramenta de descompactação baseada em liblzma somente para arquivos .xz (e somente .xz). xzdec destina-se a funcionar como um substituto para xz(1) nas situações mais comuns em que um script foi escrito para usar xz --decompress --stdout (e possivelmente alguns outras opções comumente usadas) para descompactar arquivos .xz. lzmadec é idêntico a xzdec exceto que lzmadec tem suporte a arquivos .lzma em vez de arquivos .xz.

Para reduzir o tamanho do executável, xzdec não tem suporte ao uso de várias threads ou a localização, e não lê opções de variáveis de ambiente XZ_DEFAULTS e XZ_OPT. xzdec não tem suporte à exibição de informações de progresso intermediárias: enviar SIGINFO para xzdec não faz nada, mas enviar SIGUSR1 encerra o processo em vez de exibir informações de progresso.

OPÇÕES

-d, --decompress, --uncompress
    Ignorada para compatibilidade xz(1). xzdec tem suporte a apenas descompactação.

-k, --keep
    Ignorada para compatibilidade xz(1). xzdec nunca cria ou remove quaisquer arquivos.

-c, --stdout, --to-stdout
    Ignorada para compatibilidade xz(1). xzdec sempre grava os dados descompactados para a saída padrão.

-q, --quiet
    Especificar isso uma vez não faz nada, pois xzdec nunca exibe nenhum aviso ou notificação. Especifique isso duas vezes para suprimir erros.

-Q, --no-warn
    Ignorada para compatibilidade xz(1). xzdec nunca usa o status de saída 2.

-h, --help
    Exibe uma mensagem de ajuda e sai com sucesso.

-V, --version
    Mostra o número da versão do xzdec e liblzma.

STATUS DE SAÍDA

0   Correu tudo bem.

1   Ocorreu um erro.

xzdec não possui nenhuma mensagem de aviso como o xz(1), portanto, o status de saída 2 não é usado por xzdec.

NOTAS
Use xz(1) em vez de xzdec ou lzmadec para uso diário normal. xzdec ou lzmadec destinam-se apenas a situações em que é importante ter um descompactador menor do que o xz(1) completo.

xzdec e lzmadec não são realmente tão pequenos. O tamanho pode ser reduzido ainda mais eliminando recursos do liblzma no tempo de compilação, mas isso geralmente não deve ser feito para executáveis distribuídos em distribuições típicas de sistemas operacionais não embarcados. Se você precisa de um descompactador .xz realmente pequeno, considere usar o XZ Embedded.

VEJA TAMBÉM
xz(1)

XZ Embedded: <https://tukaani.org/xz/embedded.html>